#include <iostream>
#include<vector>
#include <cmath>
using namespace std;

int main()
{
    int T,szam,nagy,nagysag,d=0,eredmeny;
    cin>>T;
    vector<int>szamok={};
    for (int i=0;i<T;i++){
        cin>>szam;
        szamok={};


        /*
        innnen kezdodik a szamnak a dolga

        */
        for (int j=1;j<=szam;j++){
            szamok.push_back(j);
            //itt hatarozzuk mega szamokat addig

        }

        //meghatarozzuk higy mekkora a szam
        nagy=szamok[i]/10;
        for (int j=0;j<=szam;){
                if (nagy/10<10){

                        nagysag=j+1;
                    break;
                }
            nagy=nagy/10;

        }


        szam=pow(10,nagy);
        for (int p=0;p<szamok.size();p++){
                eredmeny=1;
        for (int j=1;j<=nagysag;j++){
            eredmeny=eredmeny*szamok[p]/(szam*10/pow(10,j));

        }
        for (int j=1;j<=szamok.size();j++){
            if(eredmeny!=szamok[j-1]){
                d++;
            }

        }
        if(d==szamok.size()){
            szamok.push_back(eredmeny);
            d=0;
        }

        }


        cout<<szamok.size();



    }
    return 0;
}